.wrap-btn {
  position: fixed;
  z-index: 9990;
  display: grid;
  place-items: center;
  height: 400px;
  right: -6.0rem;
  left: unset;
  bottom: 0;
  top: 30%;
}

.wrap-btn img {
  display: none;
}

.enquire-now {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 12px;
  width: 170px;
  height: 50px;
  border-radius: 8px 8px 0px 0px;
  background: #1D1D1D;
  animation: unset;
  transform: rotate(270deg);
}

.enquire-now p {
  color: #F8F8F8;
  font-size: 15px;
  font-style: normal;
  font-weight: 500;
  line-height: 22px;
  margin: 0;
  font-family: 'Manrope', sans-serif;
}

.enquire-now svg {
  transform: rotate(90deg);
}

.enquire-now:hover p {
  color: #EA8033;
}

.enquire-now:hover svg path {
  fill: #EA8033;
}

.modal-toggler {
  background-color: rgb(239, 127, 26);
  cursor: pointer;
  border: 2px solid white;
  color: #ffffff;
  height: 90px;
  width: 90px;
  text-align: center;
  display: flex;
  letter-spacing: -1px;
  flex-direction: column;
  justify-content: center;
  border-radius: 100%;
  font-size: 14px;
  line-height: 18px;
  animation: ripple 1.5s linear infinite;
  transition: all 0.7s ease;
}

.modal-toggler:hover {
  transform: scale(1.1);
  color: #ffffff;
}

.modal-toggler:focus {
  outline: none;
}

@keyframes ripple {
  0% {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.3), 0 0 0 1px rgba(255, 255, 255, 0.3), 0 0 0 3px rgba(255, 255, 255, 0.3), 0 0 0 5px rgba(255, 255, 255, 0.3);
  }

  100% {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.3), 0 0 0 4px rgba(255, 255, 255, 0.3), 0 0 0 20px rgba(255, 255, 255, 0), 0 0 0 30px rgba(255, 255, 255, 0);
  }
}

.sp-modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  background-color: rgb(0, 0, 0, 0.75);
  display: grid;
  place-items: center;
  opacity: 0;
  pointer-events: none;
}

.sp-modal.open {
  opacity: 1;
  pointer-events: all;
}

.modal__body {
  max-width: min(90%, 500px);
  max-height: 90vh;
  overflow: auto;
  background-color: #fff;
}

.modal__row-inner {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 15px
}

.modal__row-inner>* {
  flex: 0 0 49%;
}

.modal__col {
  position: relative;
}

.winner-row .modal__col {
  width: 100%;
  flex: 0 0 100% !important;
}

@media (min-width: 1024px) {
  .modal__body {
    max-width: min(90%, 900px);
    /* max-width: min(90%, 750px); */
  }

  .modal__row {
    display: flex;
    flex-direction: row-reverse;
  }

  .modal__col:nth-child(1) {
    /* flex: 0 0 100%; */
    flex: 0 0 60%;
  }

  .modal__col:nth-child(2) {
    flex: 0 0 40%;
    /*flex: 0 0 0%;*/
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}

.modal__close {
  all: unset;
  cursor: pointer;
  position: absolute;
  top: 8px;
  right: 16px;
  font-size: 32px;
  line-height: 1;
  color: #fff;
}

.modal__col:nth-child(2) {
  padding: 2rem;
}

.modal__heading {
  margin-top: 0;
}

.modal__desc {
  margin-bottom: 1em;
}

/* .sp-modal label {
  display: block;
}
.sp-modal label:last-of-type {
  margin: 1em 0;
} */
.sp-modal input[type="text"],
.sp-modal input[type="email"] {
  background: #DCEDFF;
  border-color: transparent;
  padding: 0.5em 0.75em;
  ;
  /* color: #0076F5; */
}

.wpcf7-form-control-wrap {
  display: block;
  margin-bottom: 0.5em;
}

.sp-modal input[type="submit"] {
  margin-top: .5em;
  padding: 0.75em;
  border-color: transparent;
  background: #FEA734;
  font-weight: bold;
  text-transform: uppercase
}

.wpcf7 form .wpcf7-response-output {
  margin: 0em;
  padding: 0.2em .5em;
}

@media (max-width: 992px) {
  .wrap-btn {
    height: fit-content;
    left: 0;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    top: unset;
    right: unset;
  }

  .wrap-btn a {
    border-radius: 0;
    width: 100%;
    transform: unset;
  }

  .wrap-btn img {
    display: block;
  }

  .wrap-btn svg {
    transform: unset;
  }

  .wrap-btn .enquire-now {
    transition: width 0.8s ease-in-out;
  }

  .wrap-btn .enquire-now p,
  .wrap-btn .enquire-now svg {
    transition: opacity 0.5s ease-in-out, display 0.5s ease-in-out;
  }

  .wrap-btn .mobile-collapsed {
    width: 50px !important;
    border-radius: 4px;
    padding: 15px;
  }

  .wrap-btn .mobile-collapsed p,
  .wrap-btn .mobile-collapsed svg {
    opacity: 0;
    display: none;
  }

  .wrap-btn.mobile-padding {
    padding: 0 15px;
  }
}